class Zk < Formula
  desc "Plain text note-taking assistant"
  homepage "https://github.com/zk-org/zk"
  url "https://github.com/zk-org/zk/archive/refs/tags/v0.14.1.tar.gz"
  sha256 "563331e1f5a03b4dd3a4ff642cc205cc7b6c3c350c98f627a3273067e7ec234c"
  license "GPL-3.0-only"
  revision 2
  head "https://github.com/zk-org/zk.git", branch: "main"

  depends_on "go" => :build

  depends_on "icu4c@76"
  uses_from_macos "sqlite"

  def install
    ldflags = "-X=main.Version=#{version} -X=main.Build=#{tap.user}"
    system "go", "build", *std_go_args(ldflags:), "-tags", "fts5,icu"
  end

  test do
    system bin/"zk", "init", "--no-input"
    system bin/"zk", "index", "--no-input"
    (testpath/"testnote.md").write "note content"
    (testpath/"anothernote.md").write "todolist"

    output = pipe_output("#{bin}/zk list --quiet").chomp
    assert_match "note content", output
    assert_match "todolist", output
  end
end
